Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.io
Class ReadFullyInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.apache.java.io.ReadFullyInputStream

public class ReadFullyInputStream
extends java.io.FilterInputStream

This class implements an input stream whose read() methods perform a full reading of the requested length.

Version:
  $Revision: 1.5 $ $Date: 1999/04/26 00:33:55 $

Fields inherited from class java.io.FilterInputStream
`in`

Fields inherited from class java.io.InputStream
`SKIP_BUFFER_SIZE, skipBuffer`

Constructor Summary
`ReadFullyInputStream(java.io.InputStream in)` Default Constructor

Method Summary
`int` | `read(byte[] b)` Fill given byte array with bytes read from the stream and return only when all the array has been filled.
`int` | `read(byte[] b, int off, int len)` Fill given byte array with bytes read from the stream and return only when all the array has been filled.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### ReadFullyInputStream

    public ReadFullyInputStream(java.io.InputStream in)

  Default Constructor

Method Detail

### read

    public int read(byte[] b)
             throws java.io.IOException

  Fill given byte array with bytes read from the stream and return only when all the array has been filled.
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Fill given byte array with bytes read from the stream and return only when all the array has been filled.
  Overrides:
    read in class java.io.FilterInputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD